AC_DEFUN(AC_PATH_XLT,[
AC_ARG_WITH(xlt-includes, [  --with-xlt-includes=DIR  Xlt include files are in DIR])
AC_ARG_WITH(xlt-libraries, [  --with-xlt-libraries=DIR  Xlt library file is in DIR])
AC_MSG_CHECKING(for Xlt)

if test -z "$with_xlt_includes"; then
    for ac_dir in              \
      /usr/include         \
      /usr/local/include   \
      /opt/lesstif/include \
                               \
    /usr/include/Motif1.2     \
    /usr/Motif1.2/include     \
                              \
    /usr/motif/include        \
                              \
    /usr/X11R6/include        \
    /usr/X11R5/include        \
                              \
    /usr/include/X11R6        \
    /usr/include/X11R5        \
                              \
    /usr/local/X11R6/include  \
    /usr/local/X11R5/include  \
                              \
    /usr/local/include/X11R6  \
    /usr/local/include/X11R5  \
                              \
    /usr/X11/include          \
    /usr/include/X11          \
    /usr/local/X11/include    \
    /usr/local/include/X11    \
                              \
    /usr/X386/include         \
    /usr/x386/include         \
    /usr/XFree86/include/X11  \
                              \
    /usr/dt/include           \
    /usr/openwin/include      \
    /opt/openwin/include      \
                              \
    /usr/include              \
    /usr/local/include        \
    /usr/unsupported/include  \
    /usr/athena/include       \
    /usr/local/x11r5/include  \
    /usr/lpp/Xamples/include  \
      ; \
    do
      if test -r "$ac_dir/Xlt/Xlt.h"; then
	xlt_includes=$ac_dir
	break
      fi
    done
else
    xlt_includes=$with_xlt_includes
fi
if test -z "$with_xlt_libraries"; then
    for ac_dir in        \
      /usr/lib           \
      /usr/local/lib     \
      /opt/lesstif/lib   \
                         \
    /usr/lib/Motif1.2     \
    /usr/Motif1.2/lib     \
                          \
    /usr/motif/lib        \
                          \
    /usr/X11R6/lib        \
    /usr/X11R5/lib        \
                          \
    /usr/lib/X11R6        \
    /usr/lib/X11R5        \
                          \
    /usr/local/X11R6/lib  \
    /usr/local/X11R5/lib  \
                          \
    /usr/local/lib/X11R6  \
    /usr/local/lib/X11R5  \
                          \
    /usr/X11/lib          \
    /usr/lib/X11          \
    /usr/local/X11/lib    \
                          \
    /usr/X386/lib         \
    /usr/x386/lib         \
    /usr/XFree86/lib/X11  \
                          \
    /usr/dt/lib           \
    /usr/openwin/lib      \
    /opt/openwin/lib      \
                          \
    /usr/lib              \
    /usr/local/lib        \
    /usr/unsupported/lib  \
    /usr/athena/lib       \
    /usr/local/x11r5/lib  \
    /usr/lpp/Xamples/lib  \
      ; \
    do
      for ac_ext in so sl a
      do
	  if test -r "$ac_dir/libXlt.$ac_ext"; then
	    xlt_libraries=$ac_dir
	    break 2
	  fi
      done
    done
else
    xlt_libraries=$with_xlt_libraries
fi
AC_MSG_RESULT([libraries $xlt_libraries, headers $xlt_includes])
XLT_LIBS="-L$xlt_libraries -lXlt"
XLT_CFLAGS="-I$xlt_includes"
AC_SUBST(XLT_LIBS)
AC_SUBST(XLT_CFLAGS)
])
